#include <stdio.h>
int main()
{
    int n;
    int broj = 0;
    int j;
    scanf("%d", &n);
    int a[n];
    for(int i = 0; i < n; i++)
        scanf("%d", &a[i]);
    int q;
    scanf("%d", &q);
    int l;
    int r;
    for(int i = 0; i < q; i++)
    {
        scanf("%d %d", &l, &r);
        j = l - 1;
        while(j >= l - 1 && j < r - 1)
        {
            if(a[j] > a[j + 1])
                    broj++;
            if(broj > 1)
                {
                    printf("NE\n");
                    break;
                }
            j++;
        }
        if(broj <= 1)
            printf("DA\n");
        broj = 0;
    }
}